LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 12-02-2019, 04:57 PM   #1
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 332

Rep: Reputation: Disabled
VMWare Player won't install.


Before I start, just let me say that I am aware that this is not a Slackware problem. It's probably a VMWare problem, but as I don't know exactly how to get in touch with them, I'll ask here.

I am trying to follow a course on ethical hacking on YouTube. The guy giving the course recommends VMWare for use in the course. I sat down at my computer and went to the site he told me to go to to download VMWare. I clicked the link that said Download for Linux. I got the file. It was a .bundle file. Never having worked with one of these before, I immediately Googled it. The site I found said to issue a 'sudo sh <filename>'. So I did that. However, VMWare failed to install:
Code:
michael@caitlyn work $ sudo sh VMware-Player-15.5.1-15018445.x86_64.bundle 
Extracting VMware Installer...done.
Installing VMware Installer 3.0.0
Copying files...
Configuring...
Installing VMware Player Setup 15.5.1
Copying files...
Configuring...
Installing VMware USB Arbitrator 18.7.0
Copying files...
Configuring...
Rolling back VMware USB Arbitrator 18.7.0
Removing files...
Deconfiguring...
Uninstalling VMware Player Setup 15.5.1
Removing files...
Deconfiguring...
Uninstalling VMware Installer 3.0.0
Removing files...
Deconfiguring...
Installation was unsuccessful.
Knowing what amazingly little I do about Linux despite all my years using it, I immediately looked in /var/log. I found there a vmware-installer file.

Code:
michael@caitlyn work $ sudo cat /var/log/vmware-installer 
[2019-12-02 15:37:53,014] 
[2019-12-02 15:37:53,015] 
[2019-12-02 15:37:53,015] Installer running.
[2019-12-02 15:37:53,015] Command Line Arguments:
[2019-12-02 15:37:53,015] ['/tmp/vmis.tY4oPJ/install/vmware-installer/vmware-installer.py', '--set-setting', 'vmware-installer', 'libconf', '', '--install-component', '/tmp/vmis.tY4oPJ/install/vmware-installer', '--install-bundle', '/home/work/VMware-Player-15.5.1-15018445.x86_64.bundle', '']
[2019-12-02 15:37:53,016] Could not set up curses...  Falling back on null term type.
[2019-12-02 15:37:53,042] System installer version is: 3.0.0.15018445
[2019-12-02 15:37:53,042] Running installer version is: 3.0.0.15018445
[2019-12-02 15:37:53,042] Opening database file /etc/vmware-installer/database
[2019-12-02 15:37:53,145] Could not locate installer App Control.
[2019-12-02 15:37:53,597] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-02 15:37:53,633] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 15:37:53,667] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 15:37:53,700] destination /tmp/tmpakh2ki1e/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 15:37:53,751] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 15:37:53,826] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 15:37:53,860] destination /tmp/tmpakh2ki1e/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 15:37:53,876] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 15:37:53,910] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 15:37:53,944] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-02 15:37:53,995] Kernel release string 4.4.202
[2019-12-02 15:37:53,996] Found Linux kernel version (4, 4, 202)
[2019-12-02 15:37:54,000] Glibc brand string ldd (GNU libc) 2.23
[2019-12-02 15:37:54,002] Found glibc version (2, 23)
[2019-12-02 15:37:54,182] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-02 15:37:54,212] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 15:37:54,246] destination /tmp/tmpakh2ki1e/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 15:37:54,263] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 15:37:54,288] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 15:37:54,558] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 15:37:54,591] destination /tmp/tmpakh2ki1e/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 15:37:54,608] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 15:37:54,642] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 15:37:54,676] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-02 15:37:54,717] destination /tmp/tmpakh2ki1e/.installer/15.5.1/vmware-player.py already exists, overwriting.
[2019-12-02 15:37:54,751] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 15:37:54,805] destination /tmp/tmpakh2ki1e/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 15:37:54,843] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 15:37:54,877] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 15:37:54,910] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-02 15:37:55,029] b'Not running in a virtual machine.\n'
[2019-12-02 15:37:55,029] b''
[2019-12-02 15:37:55,032] Running on a real machine!
[2019-12-02 15:37:55,043] Cannot use vmware-app-control to shut down open VMs, defaulting to fallback message.
[2019-12-02 15:37:55,045] Ignored execution error: [Errno 2] No such file or directory: '/etc/rc.d/init.d/vmware': '/etc/rc.d/init.d/vmware' when running command: [path('/etc/rc.d/init.d/vmware'), 'stoppable']
[2019-12-02 15:37:55,091] b''
[2019-12-02 15:37:55,091] b''
[2019-12-02 15:37:55,347] This system has KVM enabled. You cannot run VMs with KVM enabled.
[2019-12-02 15:38:28,284] Traceback (most recent call last):

  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/db.py", line 31, in decorator
    return func(*args, **kwargs)

  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/db.py", line 478, in Add
    cur = self._db.execute(statement, (path, mtime, fileType, component))

  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/db.py", line 233, in execute
    return self._db.execute(query, args)

sqlite3.IntegrityError: UNIQUE constraint failed: files.path


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/core/remoteinstaller.py", line 301, in MessageIn
    ret = method(*args, **kwargs)

  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/core/installer.py", line 362, in RegisterFile
    return self.proxyObject.RegisterFile(filename, mtime=mtime, fileType=fileType)

  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/core/localinstallerops.py", line 375, in RegisterFile
    db.files.Add(regfile, mtime, ftype, self._component.uid)

  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/db.py", line 33, in decorator
    raise IntegrityError(str(e))

vmis.core.errors.IntegrityError: UNIQUE constraint failed: files.path

[2019-12-02 15:38:28,285] [vmware-usbarbitrator 18.7.0] Installation failed, rolling back installation.
[2019-12-02 15:38:28,331] b'\x1b[71Gfailed\n'
[2019-12-02 15:38:28,331] b''
[2019-12-02 15:38:28,333] Unable to stop USB Arbitrator service.
[2019-12-02 15:38:28,335] Uninstalled Service: vmware-USBArbitrator
[2019-12-02 15:38:28,478] Top level exception handler
Traceback (most recent call last):
  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/core/transaction.py", line 398, in RunThreadedTransaction
    txn.Run()
  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/core/transaction.py", line 78, in Run
    self.get()()
  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/core/common.py", line 141, in Show
    wrap(i.PostInstall, txn.opts['ignoreErrors'])
  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/util/__init__.py", line 26, in wrap
    func(*args, **kwargs)
  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/core/install.py", line 320, in PostInstall
    self._installer.PostInstall(**self.args)
  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/core/remoteinstaller.py", line 161, in PostInstall
    return self.MessageOut(self.whoami(), old, new, upgrade)
  File "/tmp/vmis.tY4oPJ/install/vmware-installer/vmis/core/remoteinstaller.py", line 424, in MessageOut
    raise execType(excepValue)
vmis.core.errors.IntegrityError: VMIS:UNIQUE constraint failed: files.path
[2019-12-02 15:38:28,500] destination /tmp/tmpakh2ki1e/.installer/15.5.1/vmware-player.py already exists, overwriting.
[2019-12-02 15:38:28,536] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 15:38:28,561] destination /tmp/tmpakh2ki1e/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 15:38:28,578] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 15:38:28,603] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 15:38:28,628] destination /tmp/tmpakh2ki1e/.installer/15.5.1/include/update.py already exists, overwriting.
So I guess my question is this. Of all that stuff up there, the one thing I readily understood is KVM is installed. How do I uninstall this? I'm sorry, I do not speak Python yet.
 
Old 12-02-2019, 06:41 PM   #2
Samsonite2010
Member
 
Registered: Apr 2015
Distribution: Debian
Posts: 228
Blog Entries: 1

Rep: Reputation: 107Reputation: 107
Not sure if this helps: https://superuser.com/questions/6411...dules-in-linux
 
Old 12-02-2019, 06:45 PM   #3
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 332

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by Samsonite2010 View Post
It sounds to me like that's exactly what I need. Thank you.
 
Old 12-02-2019, 07:57 PM   #4
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 332

Original Poster
Rep: Reputation: Disabled
But that didn't solve the entire problem. VMWare Player STILL won't install. I have an updated code listing for you.
Code:
michael@caitlyn work $ sudo cat /var/log/vmware-installer
[2019-12-02 18:52:55,034] 
[2019-12-02 18:52:55,034] 
[2019-12-02 18:52:55,034] Installer running.
[2019-12-02 18:52:55,034] Command Line Arguments:
[2019-12-02 18:52:55,034] ['/tmp/vmis.LkhW2Y/install/vmware-installer/vmware-installer.py', '--set-setting', 'vmware-installer', 'libconf', '', '--install-component', '/tmp/vmis.LkhW2Y/install/vmware-installer', '--install-bundle', '/home/work/VMware-Player-15.5.1-15018445.x86_64.bundle', '']
[2019-12-02 18:52:55,035] Could not set up curses...  Falling back on null term type.
[2019-12-02 18:52:55,061] System installer version is: 3.0.0.15018445
[2019-12-02 18:52:55,061] Running installer version is: 3.0.0.15018445
[2019-12-02 18:52:55,062] Opening database file /etc/vmware-installer/database
[2019-12-02 18:52:55,257] Could not locate installer App Control.
[2019-12-02 18:52:56,083] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-02 18:52:56,186] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 18:52:56,294] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 18:52:56,453] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 18:52:56,670] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 18:52:56,821] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 18:52:56,912] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 18:52:57,013] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 18:52:57,088] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 18:52:57,172] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-02 18:52:57,300] Kernel release string 4.4.202
[2019-12-02 18:52:57,303] Found Linux kernel version (4, 4, 202)
[2019-12-02 18:52:57,311] Glibc brand string ldd (GNU libc) 2.23
[2019-12-02 18:52:57,314] Found glibc version (2, 23)
[2019-12-02 18:52:57,528] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-02 18:52:57,582] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 18:52:57,624] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 18:52:57,642] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 18:52:57,683] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 18:52:58,078] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 18:52:58,112] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 18:52:58,129] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 18:52:58,162] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 18:52:58,196] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-02 18:52:58,238] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/vmware-player.py already exists, overwriting.
[2019-12-02 18:52:58,272] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 18:52:58,305] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 18:52:58,322] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 18:52:58,356] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 18:52:58,389] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-02 18:52:58,499] b'Not running in a virtual machine.\n'
[2019-12-02 18:52:58,499] b''
[2019-12-02 18:52:58,503] Running on a real machine!
[2019-12-02 18:52:58,516] Cannot use vmware-app-control to shut down open VMs, defaulting to fallback message.
[2019-12-02 18:52:58,517] Ignored execution error: [Errno 2] No such file or directory: '/etc/rc.d/init.d/vmware': '/etc/rc.d/init.d/vmware' when running command: [path('/etc/rc.d/init.d/vmware'), 'stoppable']
[2019-12-02 18:52:58,525] b''
[2019-12-02 18:52:58,525] b''
[2019-12-02 18:52:58,790] This system has KVM enabled. You cannot run VMs with KVM enabled.
[2019-12-02 18:53:34,252] Traceback (most recent call last):

  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/db.py", line 31, in decorator
    return func(*args, **kwargs)

  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/db.py", line 478, in Add
    cur = self._db.execute(statement, (path, mtime, fileType, component))

  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/db.py", line 233, in execute
    return self._db.execute(query, args)

sqlite3.IntegrityError: UNIQUE constraint failed: files.path


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/core/remoteinstaller.py", line 301, in MessageIn
    ret = method(*args, **kwargs)

  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/core/installer.py", line 362, in RegisterFile
    return self.proxyObject.RegisterFile(filename, mtime=mtime, fileType=fileType)

  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/core/localinstallerops.py", line 375, in RegisterFile
    db.files.Add(regfile, mtime, ftype, self._component.uid)

  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/db.py", line 33, in decorator
    raise IntegrityError(str(e))

vmis.core.errors.IntegrityError: UNIQUE constraint failed: files.path

[2019-12-02 18:53:34,253] [vmware-usbarbitrator 18.7.0] Installation failed, rolling back installation.
[2019-12-02 18:53:34,300] b'\x1b[71Gfailed\n'
[2019-12-02 18:53:34,300] b''
[2019-12-02 18:53:34,302] Unable to stop USB Arbitrator service.
[2019-12-02 18:53:34,304] Uninstalled Service: vmware-USBArbitrator
[2019-12-02 18:53:34,409] Top level exception handler
Traceback (most recent call last):
  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/core/transaction.py", line 398, in RunThreadedTransaction
    txn.Run()
  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/core/transaction.py", line 78, in Run
    self.get()()
  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/core/common.py", line 141, in Show
    wrap(i.PostInstall, txn.opts['ignoreErrors'])
  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/util/__init__.py", line 26, in wrap
    func(*args, **kwargs)
  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/core/install.py", line 320, in PostInstall
    self._installer.PostInstall(**self.args)
  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/core/remoteinstaller.py", line 161, in PostInstall
    return self.MessageOut(self.whoami(), old, new, upgrade)
  File "/tmp/vmis.LkhW2Y/install/vmware-installer/vmis/core/remoteinstaller.py", line 424, in MessageOut
    raise execType(excepValue)
vmis.core.errors.IntegrityError: VMIS:UNIQUE constraint failed: files.path
[2019-12-02 18:53:34,431] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/vmware-player.py already exists, overwriting.
[2019-12-02 18:53:34,464] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-02 18:53:34,498] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-02 18:53:34,516] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-02 18:53:34,550] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-02 18:53:34,575] destination /tmp/tmp7eo0p7ab/.installer/15.5.1/include/update.py already exists, overwriting.
How do I get rid of the sqlite3 error? I didn't even know that there WAS an sqlite3. I thought we were still on sqlite2.

And for even more logs. The following log has the newest timestamp:
Code:
michael@caitlyn work $ sudo cat /var/log/vmware/vmware-usbarb-2407.log
2019-12-02T18:53:34.296-06:00| usbArb| I125: Log for VMware USB Arbitration Service pid=2407 version=15.5.0 build=build-14461205 option=Release
2019-12-02T18:53:34.296-06:00| usbArb| I125: The process is 64-bit.
2019-12-02T18:53:34.296-06:00| usbArb| I125: Host codepage=UTF-8 encoding=UTF-8
2019-12-02T18:53:34.296-06:00| usbArb| I125: Host is Linux 4.4.202 Slackware 14.2 Slackware 14.2
2019-12-02T18:53:34.274-06:00| usbArb| I125: VTHREAD 140022907758400 "usbArb" tid 2407
2019-12-02T18:53:34.274-06:00| usbArb| I125: DictionaryLoad: Cannot open file "/etc/vmware/config": No such file or directory.
2019-12-02T18:53:34.274-06:00| usbArb| I125: [msg.dictionary.load.openFailed] Cannot open file "/etc/vmware/config": No such file or directory.
2019-12-02T18:53:34.274-06:00| usbArb| I125: PREF Optional preferences file not found at /etc/vmware/config. Using default values.
2019-12-02T18:53:34.274-06:00| usbArb| I125: DictionaryLoad: Cannot open file "/usr/lib/vmware/settings": No such file or directory.
2019-12-02T18:53:34.274-06:00| usbArb| I125: [msg.dictionary.load.openFailed] Cannot open file "/usr/lib/vmware/settings": No such file or directory.
2019-12-02T18:53:34.274-06:00| usbArb| I125: PREF Optional preferences file not found at /usr/lib/vmware/settings. Using default values.
2019-12-02T18:53:34.274-06:00| usbArb| I125: DictionaryLoad: Cannot open file "/usr/lib/vmware/config": No such file or directory.
2019-12-02T18:53:34.274-06:00| usbArb| I125: [msg.dictionary.load.openFailed] Cannot open file "/usr/lib/vmware/config": No such file or directory.
2019-12-02T18:53:34.274-06:00| usbArb| I125: PREF Optional preferences file not found at /usr/lib/vmware/config. Using default values.
2019-12-02T18:53:34.299-06:00| usbArb| I125: DICT --- GLOBAL SETTINGS /usr/lib/vmware/settings
2019-12-02T18:53:34.299-06:00| usbArb| I125: DICT --- NON PERSISTENT (null)
2019-12-02T18:53:34.299-06:00| usbArb| I125: DICT --- HOST DEFAULTS /etc/vmware/config
2019-12-02T18:53:34.299-06:00| usbArb| I125: DICT --- SITE DEFAULTS /usr/lib/vmware/config
2019-12-02T18:53:34.299-06:00| usbArb| I125: VMware USB Arbitration Service Version 18.7.0
2019-12-02T18:53:34.299-06:00| usbArb| I125: USBArb: Attempting to connect to existing arbitrator on /var/run/vmware/usbarbitrator-socket.
2019-12-02T18:53:34.299-06:00| usbArb| I125: SOCKET creating new socket, connecting to /var/run/vmware/usbarbitrator-socket
2019-12-02T18:53:34.299-06:00| usbArb| I125: SOCKET connect failed, error 2: No such file or directory
2019-12-02T18:53:34.299-06:00| usbArb| I125: USBArb: No other USB arbitrator instance is currently running.
2019-12-02T18:53:34.299-06:00| usbArb| W115: USBArb: usb-arbitrator exit with error: 1
I'm sorry. I'm just trying to put my hacking skills to use, what few I have at this point. I would really like to get kali working. The video recommends the kali image from www.offensive-security.com. They do have vmware and virtualbox images, but the virtualbox image when I downloaded it, it showed me a screen where I selected Kali Linux and the screen instantly went black after two lines of text. I wish there was a way to access Kali logs from outside of Kali. I'm fried for the moment though. I'm going to go eat supper. Maybe afterward I'll be thinking more clearly.

Last edited by maschelsea; 12-02-2019 at 08:04 PM.
 
Old 12-03-2019, 12:25 AM   #5
TheRealGrogan
Member
 
Registered: Oct 2010
Location: Ontario, Canada
Distribution: Slackware, LFS, Manjaro (for gaming)
Posts: 229

Rep: Reputation: 173Reputation: 173
Clear the directories in /tmp where the install is taking place and try again? That Unique sqlite error stuff is usually duplicate entries in a database table.
 
Old 12-03-2019, 12:56 PM   #6
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 332

Original Poster
Rep: Reputation: Disabled
Well, now that I deleted stuff in /tmp. Here is my current code listing of /var/log/vmware-installer:
Code:
michael@caitlyn work $ sudo cat /var/log/vmware-installer
[2019-12-03 11:54:20,949] 
[2019-12-03 11:54:20,949] 
[2019-12-03 11:54:20,949] Installer running.
[2019-12-03 11:54:20,949] Command Line Arguments:
[2019-12-03 11:54:20,949] ['/tmp/vmis.THrArc/install/vmware-installer/vmware-installer.py', '--set-setting', 'vmware-installer', 'libconf', '', '--install-component', '/tmp/vmis.THrArc/install/vmware-installer', '--install-bundle', '/home/work/VMware-Player-15.5.1-15018445.x86_64.bundle', '']
[2019-12-03 11:54:20,950] Could not set up curses...  Falling back on null term type.
[2019-12-03 11:54:20,975] System installer version is: 3.0.0.15018445
[2019-12-03 11:54:20,975] Running installer version is: 3.0.0.15018445
[2019-12-03 11:54:20,976] Opening database file /etc/vmware-installer/database
[2019-12-03 11:54:21,085] Could not locate installer App Control.
[2019-12-03 11:54:21,559] destination /tmp/tmp983iflbh/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-03 11:54:21,593] destination /tmp/tmp983iflbh/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-03 11:54:21,626] destination /tmp/tmp983iflbh/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-03 11:54:21,660] destination /tmp/tmp983iflbh/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-03 11:54:21,710] destination /tmp/tmp983iflbh/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-03 11:54:21,786] destination /tmp/tmp983iflbh/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-03 11:54:21,811] destination /tmp/tmp983iflbh/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-03 11:54:21,828] destination /tmp/tmp983iflbh/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-03 11:54:21,853] destination /tmp/tmp983iflbh/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-03 11:54:21,879] destination /tmp/tmp983iflbh/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-03 11:54:21,922] Kernel release string 4.4.202
[2019-12-03 11:54:21,923] Found Linux kernel version (4, 4, 202)
[2019-12-03 11:54:21,927] Glibc brand string ldd (GNU libc) 2.23
[2019-12-03 11:54:21,929] Found glibc version (2, 23)
[2019-12-03 11:54:22,076] destination /tmp/tmp983iflbh/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-03 11:54:22,107] destination /tmp/tmp983iflbh/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-03 11:54:22,140] destination /tmp/tmp983iflbh/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-03 11:54:22,158] destination /tmp/tmp983iflbh/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-03 11:54:22,191] destination /tmp/tmp983iflbh/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-03 11:54:22,518] destination /tmp/tmp983iflbh/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-03 11:54:22,552] destination /tmp/tmp983iflbh/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-03 11:54:22,569] destination /tmp/tmp983iflbh/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-03 11:54:22,626] destination /tmp/tmp983iflbh/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-03 11:54:22,678] destination /tmp/tmp983iflbh/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-03 11:54:22,715] destination /tmp/tmp983iflbh/.installer/15.5.1/vmware-player.py already exists, overwriting.
[2019-12-03 11:54:22,745] destination /tmp/tmp983iflbh/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-03 11:54:22,770] destination /tmp/tmp983iflbh/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-03 11:54:22,787] destination /tmp/tmp983iflbh/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-03 11:54:22,812] destination /tmp/tmp983iflbh/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-03 11:54:22,838] destination /tmp/tmp983iflbh/.installer/15.5.1/include/update.py already exists, overwriting.
[2019-12-03 11:54:22,926] b'Not running in a virtual machine.\n'
[2019-12-03 11:54:22,926] b''
[2019-12-03 11:54:22,928] Running on a real machine!
[2019-12-03 11:54:22,940] Cannot use vmware-app-control to shut down open VMs, defaulting to fallback message.
[2019-12-03 11:54:22,941] Ignored execution error: [Errno 2] No such file or directory: '/etc/rc.d/init.d/vmware': '/etc/rc.d/init.d/vmware' when running command: [path('/etc/rc.d/init.d/vmware'), 'stoppable']
[2019-12-03 11:54:22,947] b''
[2019-12-03 11:54:22,947] b''
[2019-12-03 11:54:23,210] This system has KVM enabled. You cannot run VMs with KVM enabled.
[2019-12-03 11:54:56,475] Traceback (most recent call last):

  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/db.py", line 31, in decorator
    return func(*args, **kwargs)

  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/db.py", line 478, in Add
    cur = self._db.execute(statement, (path, mtime, fileType, component))

  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/db.py", line 233, in execute
    return self._db.execute(query, args)

sqlite3.IntegrityError: UNIQUE constraint failed: files.path


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/core/remoteinstaller.py", line 301, in MessageIn
    ret = method(*args, **kwargs)

  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/core/installer.py", line 362, in RegisterFile
    return self.proxyObject.RegisterFile(filename, mtime=mtime, fileType=fileType)

  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/core/localinstallerops.py", line 375, in RegisterFile
    db.files.Add(regfile, mtime, ftype, self._component.uid)

  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/db.py", line 33, in decorator
    raise IntegrityError(str(e))

vmis.core.errors.IntegrityError: UNIQUE constraint failed: files.path

[2019-12-03 11:54:56,475] [vmware-usbarbitrator 18.7.0] Installation failed, rolling back installation.
[2019-12-03 11:54:56,500] b'\x1b[71Gfailed\n'
[2019-12-03 11:54:56,500] b''
[2019-12-03 11:54:56,502] Unable to stop USB Arbitrator service.
[2019-12-03 11:54:56,505] Uninstalled Service: vmware-USBArbitrator
[2019-12-03 11:54:56,622] Top level exception handler
Traceback (most recent call last):
  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/core/transaction.py", line 398, in RunThreadedTransaction
    txn.Run()
  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/core/transaction.py", line 78, in Run
    self.get()()
  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/core/common.py", line 141, in Show
    wrap(i.PostInstall, txn.opts['ignoreErrors'])
  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/util/__init__.py", line 26, in wrap
    func(*args, **kwargs)
  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/core/install.py", line 320, in PostInstall
    self._installer.PostInstall(**self.args)
  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/core/remoteinstaller.py", line 161, in PostInstall
    return self.MessageOut(self.whoami(), old, new, upgrade)
  File "/tmp/vmis.THrArc/install/vmware-installer/vmis/core/remoteinstaller.py", line 424, in MessageOut
    raise execType(excepValue)
vmis.core.errors.IntegrityError: VMIS:UNIQUE constraint failed: files.path
[2019-12-03 11:54:56,645] destination /tmp/tmp983iflbh/.installer/15.5.1/vmware-player.py already exists, overwriting.
[2019-12-03 11:54:56,696] destination /tmp/tmp983iflbh/.installer/15.5.1/include/initscript.py already exists, overwriting.
[2019-12-03 11:54:56,738] destination /tmp/tmp983iflbh/.installer/15.5.1/__init__.py already exists, overwriting.
[2019-12-03 11:54:56,755] destination /tmp/tmp983iflbh/.installer/15.5.1/include/versions.py already exists, overwriting.
[2019-12-03 11:54:56,789] destination /tmp/tmp983iflbh/.installer/15.5.1/include/systemType.py already exists, overwriting.
[2019-12-03 11:54:56,823] destination /tmp/tmp983iflbh/.installer/15.5.1/include/update.py already exists, overwriting.
Thank you for your patience with me thus far.
Note: I'm deleting the logs and rerunning my sudo sh VMware-Player-15.5.1-15018445.x86_64.bundle before each time I post my output, so the code should be changing gradually.

Last edited by maschelsea; 12-03-2019 at 12:58 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
VMware Player 14.1.2: VMware tools cannot be installed in Windows client. narke Slackware 2 07-03-2018 07:20 PM
[SOLVED] VMware is running extremely slow and very unresponsive on FC 23 with VMware Player 12 cyberdome Linux - Software 2 02-21-2016 07:16 PM
[SOLVED] How to uninstall VMware player so that VMware workstation can be installed javascriptninja Linux - Software 1 02-06-2012 12:24 PM
Why won't VMWare Player run on Fedora 8 slsscoot Linux - Software 16 03-11-2008 12:00 AM
LXer: VMware Delivers VMware Player LXer Syndicated Linux News 0 12-13-2005 11:01 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:19 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration